Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.digitalasset
Interface DigitalAsset

All Known Subinterfaces:
  FileComponent, ImageComponent, LibraryFileComponent, LibraryImageComponent

    public interface DigitalAsset

DigitalAsset defines the information for a given externally managed asset.

The Digital Asset can consist of several binaries:

- the original: stored in the WCM Image or File component, Meta Data accessible via this interface.
- a list of renditions

Since:
  v8.5.cf3

Nested Class Summary
`static class` | `DigitalAsset.ResourceManagementOption` ResourceManagementOption defines the management options that are valid for a managed DigitalAsset.

Method Summary
`DigitalAssetID` | `getDigitalAssetID()` Retrieves the DigitalAssetID for this DigitalAsset
`DigitalAssetMetaData` | `getMetaData()` Meta data associated with the original of the Digital Asset.
`java.lang.String` | `getPath()` Path of the asset within the Digital Asset Management or File system.
`DigitalAsset.ResourceManagementOption` | `getResourceManagementOption()` Get the resource management option for this DigitalAsset if it is managed externally, `null` otherwise
`boolean` | `isManagedExternally()` Indicates if the asset binary of the asset is stored in an external DAM kind of system.
`void` | `setDigitalAssetID(DigitalAssetID assetID)` Sets the DigitalAssetID for this DigitalAsset, typically done by a DAM provider when consuming a selected asset.
`void` | `setMetaData(DigitalAssetMetaData meta)` Sets the meta data to be associated with the original of this Digital Asset.
`void` | `setPath(java.lang.String path)` Sets the path for this Digital Asset
`void` | `setResourceManagementOption(DigitalAsset.ResourceManagementOption managementOption)` Sets the resource management option for this DigitalAsset, default is CopyNow.

Method Detail

### getDigitalAssetID

    DigitalAssetID getDigitalAssetID()

  Retrieves the DigitalAssetID for this DigitalAsset

  Returns:
    the DigitalAsset's ID, nor `null` if not managed externally

### setDigitalAssetID

    void setDigitalAssetID(DigitalAssetID assetID)

  Sets the DigitalAssetID for this DigitalAsset, typically done by a DAM provider when consuming a selected asset.

  Parameters:
    `assetID` - - the DigitalAsset's ID, can be `null` to clear the assetID

### isManagedExternally

    boolean isManagedExternally()

  Indicates if the asset binary of the asset is stored in an external DAM kind of system. The return result of this method may change over time, e.g. the asset may first be stored in the DAM system and later copied into WCM.

  Returns:
    true, if the asset binary is currently stored in an external DAM system

### getPath

    java.lang.String getPath()

  Path of the asset within the Digital Asset Management or File system. This path can be used to open the Digital Asset Management or File selection UI such that it displays this asset.

  Returns:
    Path for of the Digital Assets

### setPath

    void setPath(java.lang.String path)

  Sets the path for this Digital Asset

  Parameters:
    `path` - path of the Digital Asset

### getMetaData

    DigitalAssetMetaData getMetaData()

  Meta data associated with the original of the Digital Asset. This can be XMP data or another information the DigitalAssetManagementPlugin wishes to associate with this Digital Asset

  Returns:
    The meta data associated with the original of this Digital Asset

### setMetaData

    void setMetaData(DigitalAssetMetaData meta)

  Sets the meta data to be associated with the original of this Digital Asset. The meta data should be stored as XML data in the binary of the original.

  Parameters:
    `meta` - the meta data to associate with the original of this Digital Asset

### getResourceManagementOption

    DigitalAsset.ResourceManagementOption getResourceManagementOption()

  Get the resource management option for this DigitalAsset if it is managed externally, `null` otherwise

  Returns:
    Resource Management Option for this DigitalAsset if it is managed externally, `null` otherwise

### setResourceManagementOption

    void setResourceManagementOption(DigitalAsset.ResourceManagementOption managementOption)

  Sets the resource management option for this DigitalAsset, default is CopyNow.

  Parameters:
    `managementOption` - the resource management option used by this DigitalAsset

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD